com.ihr.xbrl.mapper.filters

## Class XBRLExplicitDimensionSegmentFilter

- java.lang.Object
- - com.ihr.xbrl.mapper.filters.XBRLExplicitDimensionFilter
  - - com.ihr.xbrl.mapper.filters.XBRLExplicitDimensionSegmentFilter

- All Implemented Interfaces:
    XBRLFacetFilter

      public class XBRLExplicitDimensionSegmentFilter
      extends XBRLExplicitDimensionFilter

  The Class XBRLExplicitDimensionSegmentFilter.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLExplicitDimensionSegmentFilter(java.lang.String id, javax.xml.namespace.QName dimension, javax.xml.namespace.QName value)` Instantiates a new XBRL explicit dimension segment filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLFacetFilter` | `compileFilter(net.sf.saxon.s9api.XdmNode filterNode, net.sf.saxon.s9api.XPathCompiler xp)` Compile filter.
    `org.jdom.Element` | `createFilterNode()` Returns a node representing the serialization of this filter so it can be created later from the node.

    - ### Methods inherited from class com.ihr.xbrl.mapper.filters.XBRLExplicitDimensionFilter

      `getId, matches, setId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLExplicitDimensionSegmentFilter

          public XBRLExplicitDimensionSegmentFilter(java.lang.String id,
                                            javax.xml.namespace.QName dimension,
                                            javax.xml.namespace.QName value)

      Instantiates a new XBRL explicit dimension segment filter.
      Parameters:
        `id` - the id
        `dimension` - the dimension
        `value` - the value

  - ### Method Detail

    - #### createFilterNode

          public org.jdom.Element createFilterNode()
                                            throws LoaderException

      Description copied from interface: `XBRLFacetFilter`
      Returns a node representing the serialization of this filter so it can be created later from the node.
      Returns:
        org.jdom.Element
      Throws:
        `LoaderException` - the loader exception

    - #### compileFilter

          public static XBRLFacetFilter compileFilter(net.sf.saxon.s9api.XdmNode filterNode,
                                      net.sf.saxon.s9api.XPathCompiler xp)
                                               throws LoaderException

      Compile filter.
      Parameters:
        `filterNode` - the filter node
        `xp` - the xp
      Returns:
        the XBRL facet filter
      Throws:
        `LoaderException` - the loader exception